CLOSE
OPEN "com1:19200,n,8,1" FOR RANDOM AS #1
CLS





 PRINT #1, "com 2 online..."

eey = 0' set to off

DO

ke$ = INKEY$

SELECT CASE (ke$)
CASE IS = CHR$(0) + CHR$(59)
PRINT #1, "><": ke$ = ""
END SELECT

IF ke$ = CHR$(27) THEN eey = 1






LOCATE 19, 1: PRINT LOF(1), EOF(1), LOC(1)
LOCATE 2, 1: PRINT mess$;
  IF LOC(1) > 0 THEN LINE INPUT #1, a$: LOCATE 1, 40: 'PRINT ASC(a$)
 
 
  SELECT CASE (a$)
  CASE IS = "><"
  BEEP
  a$ = ""
 
  CASE IS = "\"
   CLS : mess$ = "": a$ = ""

 
  END SELECT
   IF a$ <> "" THEN mess$ = mess$ + a$: a$ = ""
IF ke$ <> "" THEN PRINT #1, ke$
LOOP UNTIL eey = 1

